#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'program_information/reset.rb'
# =========================================================================== #
module ProgramInformation

class ProgramInformation # === ProgramInformation::ProgramInformation

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    # ======================================================================= #
    # === @short_name
    # ======================================================================= #
    @short_name      = nil
    # ======================================================================= #
    # === @real_short_name
    # ======================================================================= #
    @real_short_name = nil
    # ======================================================================= #
    # === @program_version
    # ======================================================================= #
    @program_version = nil
    set_shall_we_downcase # Should become before set_input().
    set_be_verbose
    # ======================================================================= #
    # === @remove_plus_and_minus
    # ======================================================================= #
    @remove_plus_and_minus = REMOVE_PLUS_AND_MINUS
    # ======================================================================= #
    # === @replace_plus_with_long_name
    # ======================================================================= #
    @replace_plus_with_long_name = REPLACE_PLUS_WITH_LONG_NAME
    @remove_plus_token = REMOVE_PLUS_TOKEN
    if @remove_plus_and_minus # Overrule always in this case.
      @replace_plus_with_long_name = false
    end
    if @remove_plus_and_minus
      @remove_plus_token = false
    end
  end

end; end