#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'program_information/toplevel_methods/opnn.rb'
# =========================================================================== #
require 'program_information/toplevel_methods/e.rb'

module ProgramInformation

  begin
    require 'opn'
  rescue LoadError; end

  # ========================================================================= #
  # === ProgramInformation.e
  # ========================================================================= #
  def self.opnn(
      i = 'ProgramInformation'
    )
    if i.is_a? String
      i = { namespace: i }
    end
    Opn.opn(i) if Object.const_defined? :Opn
  end

end